WACKATRL(8)

NAME
wackatrl - IP-failover high-availability controller

SYNOPSIS
wackatrl [-c config_file ] [ -l | -f | -s ]

DESCRIPTION
wackatrl runs the wackatrl IP-failover HA controller and instructs the currently running Wackamole instance to perform an action or display state information.

OPTIONS

-c config-file
    Use an alternate configuration file config-file instead of wackamole.conf.

-l  Lists the current state (ownership) of virtual interfaces.

-f  Simulate a failure. The local instance will disconnect from Spread and act as if it has failed by dropping its managed interfaces and running whatever dynamic calls have been configured. A peer, should one exist, will assume the responsibility for the interfaces that were dropped.

-s  Recover from a simulated failure. This will tell the local instance to stop simulating failure. The local instance will reconnect to Spread and once again participate in the peer-based HA environment.

FILES
wackamole.conf
    The default config file location is dependant on the install prefix. ./wackamole.conf is also searched if a local file is not found.

DIAGNOSTICS
All error messages, should any be produced will be written to standard error.

BUGS
No known bugs.

AUTHOR
Theo Schlossnagle <jesus@cnds.jhu.edu>

SEE ALSO
wackamole(8),wackamole.conf(5)